[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Recommended versions on Hackage and Debian

> Can Cabal be instructed to not consider non-preferred versions, and
> print an error/warning otherwise?

That would be useful, don't know if cabal-install supports it?  I only
know that cabal-install will only select non-preferred if explicitly
asked to do so (maybe also if it can't find an other valid install plan,
not sure).

> If you mention that something is not production ready in the package
> description, that would also have good chances of not slipping into
> Debian.

Fore sure, I'll do that.  But it will only go into the description, not
into the synopsis.


Reply to: